Subject: bug#32521: coreutils timeout in a bash script not transparent for the application

From: Rafal Jankowski <[email-masked]>
Date: Sat, 25 Aug 2018 08:14:22 +0200 (CEST)

On Fri, 24 Aug 2018, Paul Eggert wrote:

> Sure, but no matter what 'timeout' does, it cannot possibly be transparent to 
> every application, because that application might be using the same mechanism 
> that 'timeout' is using. Until we know more about exactly what the 
> application is up to, it's not clear that this is a bug in 'timeout'.

Ah, OK. I noticed a note in the 'info timeout' regarding special utilities 
that may not work with timeout. So that may be a similar case. If it's not 
too much effort could you please briefly explain or point to existing 
documentation what kind of mechanism can cause any kind of misbehaviour 
for the application?

Also what is quite eye-spotting to me is the fact that:
timeout [time] app  #works fine
app invoked from the bash script # works fine
timeout [time] app invoked from the bash script # does not work